--- base/nntp.c.orig	Fri Jan 14 10:52:09 2005
+++ base/nntp.c	Fri Jan 14 11:11:24 2005
@@ -29,14 +29,14 @@
 boolean nntp_logon(newspost_data *data) {
 	char buffer[STRING_BUFSIZE];
 
-	if (nntp_get_response(buffer) < 0)
+	if (nntp_get_response(buffer,sizeof(buffer)) < 0)
 		return FALSE;
 
 	if (data->user != NULL) {
 		sprintf(buffer, "AUTHINFO USER %s", data->user->data);
 		if (nntp_issue_command(buffer) < 0)
 			return FALSE;
-		if (nntp_get_response(buffer) < 0)
+		if (nntp_get_response(buffer,sizeof(buffer)) < 0)
 			return FALSE;
 		/* 381: More Authentication required */
 		if (strncmp(buffer,
@@ -44,7 +44,7 @@
 			sprintf(buffer, "AUTHINFO PASS %s", data->password->data);
 			if (nntp_issue_command(buffer) < 0)
 				return FALSE;
-			if (nntp_get_response(buffer) < 0)
+			if (nntp_get_response(buffer,sizeof(buffer)) < 0)
 				return FALSE;
 			if (strncmp(buffer,
 			    NTTP_AUTHENTICATION_UNSUCCESSFUL, 3) == 0) {
@@ -72,7 +72,7 @@
 void nntp_logoff() {
 	char tmpbuffer[STRING_BUFSIZE];
 	nntp_issue_command("QUIT");
-	nntp_get_response(tmpbuffer);
+	nntp_get_response(tmpbuffer,sizeof(tmpbuffer));
 }
 
 int nntp_post(const char *subject, newspost_data *data, 
@@ -87,7 +87,7 @@
 
 	nntp_issue_command("POST");
 
-	nntp_get_response(response);
+	nntp_get_response(response,sizeof(response));
 
 	if (strncmp(response, NNTP_POSTING_NOT_ALLOWED, 3) == 0)
 		return POSTING_NOT_ALLOWED;
@@ -147,7 +147,7 @@
 
 	socket_write("\r\n.\r\n", 5);
 
-	nntp_get_response(response);
+	nntp_get_response(response,sizeof(response));
 
 	if (!no_ui_updates)
 		ui_chunk_posted((length - i), i);
@@ -177,9 +177,9 @@
 }
 
 /* returns number of bytes read */
-int nntp_get_response(char *response) {
+int nntp_get_response(char *response,int maxsize) {
 	int bytes_read;
-	bytes_read = socket_getline(response);
+	bytes_read = socket_getline(response,maxsize);
 	if (bytes_read > 0)
 		ui_nntp_server_response(response);
 
